<a href='https://github.com/angular/angular.js/edit/master/src/ng/location.js?message=docs($locationProvider)%3A%20describe%20your%20change...#L697' class='improve-docs btn btn-primary'><i class="glyphicon glyphicon-edit">&nbsp;</i>Improve this Doc</a>



<a href='https://github.com/angular/angular.js/tree/master/src/ng/location.js#L697' class='view-source pull-right btn btn-primary'>
  <i class="glyphicon glyphicon-zoom-in">&nbsp;</i>View Source
</a>


<header class="api-profile-header">
  <h1 class="api-profile-header-heading">$locationProvider</h1>
  <ol class="api-profile-header-structure naked-list step-list">
    
  <li>
    <a href="api/ng/service/$location">- $location</a>
  </li>

    <li>
      - provider in module <a href="api/ng">ng</a>
    </li>
  </ol>
</header>



<div class="api-profile-description">
  <p>Use the <code>$locationProvider</code> to configure how the application deep linking paths are stored.</p>

</div>




<div>
  

    

  

  
<h2>Methods</h2>
<ul class="methods">
  <li id="hashPrefix">
    <h3><p><code>hashPrefix([prefix]);</code></p>

</h3>
    <div><p>The default value for the prefix is <code>&#39;!&#39;</code>.</p>
</div>

    
    <h4>Parameters</h4>
    
<table class="variables-matrix input-arguments">
  <thead>
    <tr>
      <th>Param</th>
      <th>Type</th>
      <th>Details</th>
    </tr>
  </thead>
  <tbody>
    
    <tr>
      <td>
        prefix
        
        <div><em>(optional)</em></div>
      </td>
      <td>
        <a href="" class="label type-hint type-hint-string">string</a>
      </td>
      <td>
        <p>Prefix for hash part (containing path and search)</p>

        
      </td>
    </tr>
    
  </tbody>
</table>

    

    
    
    
    <h4>Returns</h4>
    <table class="variables-matrix return-arguments">
  <tr>
    <td><a href="" class="label type-hint type-hint-object">*</a></td>
    <td><p>current value if used as getter or itself (chaining) if used as setter</p>
</td>
  </tr>
</table>
    

  </li>
  
  <li id="html5Mode">
    <h3><p><code>html5Mode([mode]);</code></p>

</h3>
    <div></div>

    
    <h4>Parameters</h4>
    
<table class="variables-matrix input-arguments">
  <thead>
    <tr>
      <th>Param</th>
      <th>Type</th>
      <th>Details</th>
    </tr>
  </thead>
  <tbody>
    
    <tr>
      <td>
        mode
        
        <div><em>(optional)</em></div>
      </td>
      <td>
        <a href="" class="label type-hint type-hint-boolean">boolean</a><a href="" class="label type-hint type-hint-object">Object</a>
      </td>
      <td>
        <p>If boolean, sets <code>html5Mode.enabled</code> to value.
  If object, sets <code>enabled</code>, <code>requireBase</code> and <code>rewriteLinks</code> to respective values. Supported
  properties:</p>
<ul>
<li><strong>enabled</strong> – <code>{boolean}</code> – (default: false) If true, will rely on <code>history.pushState</code> to
change urls where supported. Will fall back to hash-prefixed paths in browsers that do not
support <code>pushState</code>.</li>
<li><strong>requireBase</strong> - <code>{boolean}</code> - (default: <code>true</code>) When html5Mode is enabled, specifies
whether or not a <base> tag is required to be present. If <code>enabled</code> and <code>requireBase</code> are
true, and a base tag is not present, an error will be thrown when <code>$location</code> is injected.
See the <a href="guide/$location">$location guide for more information</a></li>
<li><strong>rewriteLinks</strong> - <code>{boolean}</code> - (default: <code>true</code>) When html5Mode is enabled,
enables/disables url rewriting for relative links.</li>
</ul>

        
      </td>
    </tr>
    
  </tbody>
</table>

    

    
    
    
    <h4>Returns</h4>
    <table class="variables-matrix return-arguments">
  <tr>
    <td><a href="" class="label type-hint type-hint-object">Object</a></td>
    <td><p>html5Mode object if used as getter or itself (chaining) if used as setter</p>
</td>
  </tr>
</table>
    

  </li>
  </ul>
  
  



  
</div>


